Bug 50128 - Potential NPI in PersistentMananagerBase
Potential NPI in PersistentMananagerBase
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
trunk
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-10-20 19:38 UTC by Sebb
Modified: 2010-10-28 19:44 UTC (History)
0 users



Attachments
Patch to fix problem (541 bytes, patch)
2010-10-20 19:38 UTC, Sebb
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2010-10-20 19:38:19 UTC
Created attachment 26191 [details]
Patch to fix problem

String [] ids = null;
...
code to set ids. 
However if the PrivilegedActionException is caught, ids is not set.
...
int n = ids.length;

Fixed by initialising to an empty array. However perhaps the bug is that the code should not continue after PAE.
Comment 1 Konstantin Kolinko 2010-10-24 20:04:41 UTC
Already fixed in 7.0 by r1026784, will be in 7.0.5.
Comment 2 Konstantin Kolinko 2010-10-28 19:44:40 UTC
Fixed in 6.0 by r1028547, will be in 6.0.30